import { buildUUID } from '../../../utils/uuid';
import { RegionListItem } from '../model/warehoueseModel';
import { genAction, Api } from '../system';
import { defHttp } from '/@/utils/http/axios';

export const SaveRegion = async (params: RegionListItem, isUpdate: boolean) => {
  let data;
  if (isUpdate) {
    data = await defHttp.post(
      { url: Api.UpdateEntity, params: genAction('WMS_REGION', params) },
      {
        errorMessageMode: 'none',
        isTransformResponse: false,
      },
    );
  } else {
    params.ID = buildUUID(); //生成GUID
    data = await defHttp.post(
      { url: Api.AddEntity, params: genAction('WMS_REGION', params) },
      {
        errorMessageMode: 'none',
        isTransformResponse: false,
      },
    );
  }
  return data;
};

export const DeleteRegion = async (params: Recordable) => {
  const usParams = genAction('WMS_REGION', [params]);
  return await defHttp.post(
    { url: Api.DeleteList, params: usParams },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
    },
  );
};
